# PhasicFlow: utilities/pFlowToVTK/triSurfaceFieldToVTK.hpp File Reference

triSurfaceFieldToVTK.hpp File Reference
Include dependency graph for triSurfaceFieldToVTK.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::TSFtoVTK

## Functions

bool | regexCheck (word TYPENAME, word fieldType)
template<typename Type >
bool | checkFieldType (word objectType)
template<typename Type >
bool | triDataToVTK (iOstream &os, const Type &dataEntity)
template<>
bool | triDataToVTK (iOstream &os, const triSurface &surface)
template<>
bool | triDataToVTK (iOstream &os, const multiTriSurface &surface)
bool | addRealx3TriSurfaceField (iOstream &os, word fieldName, int32 size, realx3 *field)
bool | convertRealx3TypetriSurfaceField (iOstream &os, const IOfileHeader &header, const multiTriSurface &tSurface)
bool | convertTimeFolderTriSurfaceFields (fileSystem timeFolder, real time, fileSystem destPath, word bName)